org.jbpm.ruleflow.core.factory

## Class EventNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.EventNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.EventNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.EventNodeBuilder<T>, org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.EventNodeBuilder<T>,T>

      public class EventNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.EventNodeBuilder<T>,T>
      implements org.kie.api.fluent.EventNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventNodeFactory<T>` | `eventFilter(EventFilter eventFilter)`
    `EventNodeFactory<T>` | `eventTransformer(EventTransformer transformer)`
    `EventNodeFactory<T>` | `eventTransformer(UnaryOperator<Object> function)`
    `EventNodeFactory<T>` | `eventType(String eventType)`
    `protected EventNode` | `getEventNode()`
    `EventNodeFactory<T>` | `name(String name)`
    `EventNodeFactory<T>` | `scope(String scope)`
    `EventNodeFactory<T>` | `variableName(String variableName)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, setMetadata`

- - ### Constructor Detail

    - #### EventNodeFactory

          public EventNodeFactory(T nodeContainerFactory,
                                  NodeContainer nodeContainer,
                                  long id)

  - ### Method Detail

    - #### getEventNode

          protected EventNode getEventNode()

    - #### name

          public EventNodeFactory<T> name(String name)

      Specified by:
        `name` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.EventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`
      Overrides:
        `name` in class `NodeFactory<org.kie.api.fluent.EventNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### variableName

          public EventNodeFactory<T> variableName(String variableName)

    - #### eventFilter

          public EventNodeFactory<T> eventFilter(EventFilter eventFilter)

    - #### eventType

          public EventNodeFactory<T> eventType(String eventType)

    - #### eventTransformer

          public EventNodeFactory<T> eventTransformer(EventTransformer transformer)

    - #### scope

          public EventNodeFactory<T> scope(String scope)

    - #### eventTransformer

          public EventNodeFactory<T> eventTransformer(UnaryOperator<Object> function)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.